/*******************************************************************************
 * Copyright (c) 2006 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.chart.datafeed;

import org.eclipse.birt.chart.engine.extension.i18n.Messages;

/**
 * 
 */

public class BubbleDataPointDefinition implements IDataPointDefinition
{

	public final static String TYPE_VALUE = "bubble_value"; //$NON-NLS-1$

	public final static String TYPE_SIZE = "bubble_size"; //$NON-NLS-1$

	public String[] getDataPointTypes( )
	{
		return new String[]{
				TYPE_VALUE, TYPE_SIZE
		};
	}

	public String getDisplayText( String type )
	{
		if ( TYPE_VALUE.equals( type ) )
		{
			return Messages.getString( "info.datapoint.BubbleValue" ); //$NON-NLS-1$
		}
		else if ( TYPE_SIZE.equals( type ) )
		{
			return Messages.getString( "info.datapoint.BubbleSize" ); //$NON-NLS-1$
		}
		return null;
	}
}
