/*******************************************************************************
 * Copyright (c) 2006 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.chart.datafeed;

import org.eclipse.birt.chart.engine.extension.i18n.Messages;

/**
 * 
 */

public class GanttDataPointDefinition implements IDataPointDefinition
{

	public final static String TYPE_START_DATE = "gantt_start_date"; //$NON-NLS-1$

	public final static String TYPE_END_DATE = "gantt_end_date"; //$NON-NLS-1$

	public final static String TYPE_DECORATION_LABEL = "gantt_decoration_label"; //$NON-NLS-1$

	public String[] getDataPointTypes( )
	{
		return new String[]{
				TYPE_START_DATE, TYPE_END_DATE, TYPE_DECORATION_LABEL
		};
	}

	public String getDisplayText( String type )
	{
		if ( TYPE_START_DATE.equals( type ) )
		{
			return Messages.getString( "info.datapoint.GanttStartDate" ); //$NON-NLS-1$
		}
		else if ( TYPE_END_DATE.equals( type ) )
		{
			return Messages.getString( "info.datapoint.GanttEndDate" ); //$NON-NLS-1$
		}
		else if ( TYPE_DECORATION_LABEL.equals( type ) )
		{
			return Messages.getString( "info.datapoint.GanttDecorationLabel" ); //$NON-NLS-1$
		}
		return null;
	}
}
