
package org.eclipse.birt.report.engine.emitter.excel.chart;

import org.eclipse.birt.chart.datafeed.GanttEntry;
import org.eclipse.birt.chart.model.component.Series;

public class GattDataHelper extends AbstractDataHelper
{

	protected int getWidth( )
	{
		return 3;
	}

	protected void setValueToColumn( TableDataSet[] cols, int pos )
	{
		cols[0].addCell( new TableCell( TableGen.DATETIME, gantts[pos]
				.getStart( ).toString( ) ) );
		cols[1].addCell( new TableCell( TableGen.DATETIME, gantts[pos]
				.getEnd( ).toString( ) ) );
		cols[2].addCell( new TableCell( TableGen.STRING, gantts[pos]
				.getLabel( ) ) );
	}

	public String[] getColumnHeader( String title, Series series )
	{
		return new String[]{"Start Date", "End Date", "Docoration Label"};
	}

	public boolean analyseData( Object value )
	{
		if ( super.analyseData( value ) )
		{

			Object[] val = (Object[]) value;
			gantts = new GanttEntry[val.length];

			for ( int i = 0; i < val.length; i++ )
			{
				gantts[i] = (GanttEntry) val[i];
			}

			return true;

		}
		return false;
	}

	private GanttEntry[] gantts = null;
}
