
package org.eclipse.birt.report.engine.emitter.excel.chart;

import java.util.Calendar;

import org.eclipse.birt.chart.model.component.Series;
import org.eclipse.birt.chart.model.data.Query;

public class SingleDataHelper extends AbstractDataHelper
{

	protected int getWidth( )
	{
		return 1;
	}

	protected void setValueToColumn( TableDataSet[] cols, int pos )
	{
		Object value = entries[pos];
		TableCell cell = null;

		if ( value != null )
		{
			if ( value instanceof Double )
			{
				Double val = (Double) value;
				cell = new TableCell( TableGen.STRING, val.toString( ) );
			}
			else if ( value instanceof Calendar )
			{
				Calendar val = (Calendar) value;
				cell = new TableCell( TableGen.DATETIME, val.toString( ) );
			}
			else if ( value instanceof String )
			{
				String val = (String) value;
				cell = new TableCell( TableGen.DATETIME, val );
			}
			else
			{
				cell = new TableCell( TableGen.STRING, value.toString( ) );
			}
		}
		
		cols[0].addCell( cell );
	}

	public boolean analyseData( Object value )
	{
		if ( super.analyseData( value ) )
		{
			if ( value instanceof Object[] )
			{
				entries = (Object[]) value;
				return true;
			}
		}

		return false;
	}

	public String[] getColumnHeader( String title, Series series )
	{
		if ( title != null && !"".equalsIgnoreCase( title ) )
		{
			return new String[]{title};
		}

		if ( series.getDataDefinition( ) != null )
		{
			return new String[]{( (Query) series.getDataDefinition( ).get( 0 ) )
					.getDefinition( )};
		}
		else
		{
			return new String[]{""};
		}
	}

	private Object[] entries = null;
}
