package org.eclipse.birt.report.engine.emitter.excel.chart;

import org.eclipse.birt.chart.datafeed.StockEntry;
import org.eclipse.birt.chart.model.component.Series;


public class StockDataHelper extends AbstractDataHelper
{
	protected int getWidth( )
	{		
		return 4;
	}

	protected void setValueToColumn( TableDataSet[] cols, int pos )
	{		
		cols[0].addCell( new TableCell(TableGen.NUMBER, entries[pos].getHigh( ) + "") );
		cols[1].addCell( new TableCell(TableGen.NUMBER, entries[pos].getLow( ) + "") );
		cols[2].addCell( new TableCell(TableGen.NUMBER, entries[pos].getOpen( ) + "") );
		cols[3].addCell( new TableCell(TableGen.NUMBER, entries[pos].getClose( ) + "") );
	}

	public boolean analyseData( Object value )
	{
		if(super.analyseData( value ))
		{
			Object[] val = (Object[]) value;
			entries = new StockEntry[val.length];
			
			for(int i = 0; i < val.length; i++)
			{
				entries[i] = (StockEntry) val[i]; 
			}
			
			return true;
		}	
		return false;
	}

	public String[] getColumnHeader( String title, Series series )
	{
		return new String[]{"High", "Low", "Open", "Close"};
	}
	
	private StockEntry[] entries = null;
}
